package p42_refleksja.sklep_model;

import java.math.BigDecimal;


public class OrderProduct extends WspolnaNadklasa {
	private static final long serialVersionUID = 1L;

	private BigDecimal actualPrice;

	private BigDecimal actualVat;

	private Integer quantity;

	private Order order;

	private Product product;

	public OrderProduct() {
	}

	public BigDecimal getActualPrice() {
		return this.actualPrice;
	}

	public void setActualPrice(BigDecimal actualPrice) {
		this.actualPrice = actualPrice;
	}

	public BigDecimal getActualVat() {
		return this.actualVat;
	}

	public void setActualVat(BigDecimal actualVat) {
		this.actualVat = actualVat;
	}

	public Integer getQuantity() {
		return this.quantity;
	}

	public void setQuantity(Integer quantity) {
		this.quantity = quantity;
	}

	public Order getOrder() {
		return this.order;
	}

	public void setOrder(Order order) {
		this.order = order;
	}

	public Product getProduct() {
		return this.product;
	}

	public void setProduct(Product product) {
		this.product = product;
	}

}